module ClockDivider (
  input wire clk,        // 50 MHz input clock
  output reg divided_clk // 1.4112 MHz output clock
);
  reg [24:0] count = 0; // 25-bit counter for division

  always @(posedge clk) begin
    if (count == (50000000 / 1411200 - 1)) begin
      count <= 0;
      divided_clk <= ~divided_clk; // Toggle the divided clock
    end else begin
      count <= count + 1;
    end
  end
endmodule
