module ClockDivider (
  input wire clk,       // 50 MHz input clock
  output wire divided_clk // 44.1 kHz output clock
);
  reg [24:0] count = 0; // 25-bit counter for division

  always @(posedge clk) begin
    if (count == (50000000 / 44100 - 1)) begin
      count <= 0;
      divided_clk <= ~divided_clk; // Toggle the divided clock
    end else begin
      count <= count + 1;
    end
  end
endmodule